Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.complexscripts.fonts
Class GlyphCoverageTable

    java.lang.Object
      org.apache.fop.complexscripts.fonts.GlyphMappingTable
          org.apache.fop.complexscripts.fonts.GlyphCoverageTable

All Implemented Interfaces:
  GlyphCoverageMapping

    public final class GlyphCoverageTable

extends GlyphMappingTable
implements GlyphCoverageMapping

.Base class implementation of glyph coverage table.

This work was originally authored by Glenn Adams (gadams@apache.org).

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.fop.complexscripts.fonts.GlyphMappingTable
`GlyphMappingTable.EmptyMappingTable, GlyphMappingTable.MappedMappingTable, GlyphMappingTable.MappingRange, GlyphMappingTable.RangeMappingTable`

Field Summary
`static int` | `GLYPH_COVERAGE_TYPE_EMPTY` empty mapping table
`static int` | `GLYPH_COVERAGE_TYPE_MAPPED` mapped mapping table
`static int` | `GLYPH_COVERAGE_TYPE_RANGE` range based mapping table

Fields inherited from class org.apache.fop.complexscripts.fonts.GlyphMappingTable
`GLYPH_MAPPING_TYPE_EMPTY, GLYPH_MAPPING_TYPE_MAPPED, GLYPH_MAPPING_TYPE_RANGE`

Method Summary
`static GlyphCoverageTable` | `createCoverageTable(java.util.List entries)` Create glyph coverage table.
`int` | `getCoverageIndex(int gid)` Map glyph identifier (code) to coverge index.
`int` | `getCoverageSize()` Obtain size of coverage table, i.e., ciMax + 1, where ciMax is the maximum coverage index.
`java.util.List` | `getEntries()` Obtain mapping entries.
`int` | `getType()` Obtain mapping type.

Methods inherited from class org.apache.fop.complexscripts.fonts.GlyphMappingTable
`getMappedIndex, getMappingSize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GLYPH_COVERAGE_TYPE_EMPTY

    public static final int GLYPH_COVERAGE_TYPE_EMPTY

  empty mapping table

  See Also:
    Constant Field Values

### GLYPH_COVERAGE_TYPE_MAPPED

    public static final int GLYPH_COVERAGE_TYPE_MAPPED

  mapped mapping table

  See Also:
    Constant Field Values

### GLYPH_COVERAGE_TYPE_RANGE

    public static final int GLYPH_COVERAGE_TYPE_RANGE

  range based mapping table

  See Also:
    Constant Field Values

Method Detail

### getType

    public int getType()

  Obtain mapping type.

  Overrides:
    `getType` in class `GlyphMappingTable`
  Returns:
    mapping format type

### getEntries

    public java.util.List getEntries()

  Obtain mapping entries.

  Overrides:
    `getEntries` in class `GlyphMappingTable`
  Returns:
    list of mapping entries

### getCoverageSize

    public int getCoverageSize()

  Obtain size of coverage table, i.e., ciMax + 1, where ciMax is the maximum coverage index.

  Specified by:
    `getCoverageSize` in interface `GlyphCoverageMapping`
  Returns:
    size of coverage table

### getCoverageIndex

    public int getCoverageIndex(int gid)

  Map glyph identifier (code) to coverge index. Returns -1 if glyph identifier is not in the domain of the coverage table.

  Specified by:
    `getCoverageIndex` in interface `GlyphCoverageMapping`
  Parameters:
    `gid` - glyph identifier (code)
  Returns:
    non-negative glyph coverage index or -1 if glyph identifiers is not mapped by table

### createCoverageTable

    public static GlyphCoverageTable createCoverageTable(java.util.List entries)

  Create glyph coverage table.

  Parameters:
    `entries` - list of mapped or ranged coverage entries, or null or empty list
  Returns:
    a new covera table instance

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2016 The Apache Software Foundation. All Rights Reserved.